Druid Master Not Loading Postgresql Extension

I just deployed a Druid cluster (using Imply). The cluster elements are:

  • 3x Zookeeper version 3.4.9

  • 2x Kafka version 0.10

  • 1x Postgresql server version 9.5.4

  • Centos 7

  • Java 8

  • Imply 2.0.0

  • 2x Masters

  • 2x Data Servers

  • 1x Query Server

I modified common_runtime.properties to look like this:

`

I may have stumbled across the problem. Once I changed the order of extensions being loaded to load postgresql first and s3 second, it worked. I don’t know why this would be the case. I didn’t see anything that documented that.